# Not noarch, but nothing to strip:
%define debug_package %{nil}

Name:           ctapi-common
Version:        1.0
Release:        3%{?dist}
Summary:        Common files and packaging infrastructure for CT-API modules

Group:          System Environment/Libraries
License:        MIT
URL:            http://fedoraproject.org/
Source0:        %{name}.LICENSE
Source1:        %{name}.README
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
%{summary}.


%prep
%setup -c -T
install -pm 644 %{SOURCE0} LICENSE
install -pm 644 %{SOURCE1} README


%build
echo %{_libdir}/ctapi > ctapi.conf


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 ctapi.conf \
    $RPM_BUILD_ROOT/etc/ld.so.conf.d/ctapi-%{_target_cpu}.conf
install -dm 755 $RPM_BUILD_ROOT%{_libdir}/ctapi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README
# Hardcoded /etc in README -> hardcoded here.
/etc/ld.so.conf.d/ctapi-%{_target_cpu}.conf
%{_libdir}/ctapi/


%changelog
* Mon Jul 31 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.0-3
- Ensure proper doc file permissions.

* Sat May  6 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.0-2
- Encourage dir based dependency on %%{_libdir}/ctapi in packages (#190911).
- Split contents of README into a separate file.
- Change license to MIT, include license text.
- Add URL.

* Sat May  6 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.0-1
- First build.
